2003-07-18  Nick Garnett  <nickg@balti.calivar.com>

	* cdl/hal_mn10300_am31_stdeval1.cdl:
        Changed values for CYGNUM_HAL_RTC_NUMERATOR,
        CYGNUM_HAL_RTC_DENOMINATOR and CYGNUM_HAL_RTC_PERIOD to
        "default_value" from "calculated". This makes it easier
        to change these values globally.
        
2001-08-02  Nick Garnett  <nickg@redhat.com>

	* include/plf_io.h:
	Added this file to match assumption now made in arch files that it
	exists.	

2001-01-26  Jesper Skov  <jskov@redhat.com>

	* include/plf_stub.h: Reset macros moved
	* include/plf_intr.h: to this file.

2000-10-20  Jonathan Larmour  <jlarmour@redhat.com>

	* include/pkgconf/mlt_mn10300_am31_stdeval1_ram.h:
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.h:
	* include/pkgconf/mlt_mn10300_am31_stdeval1_ram.ldi:
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.ldi:
	Regenerated

2000-07-25  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* include/pkgconf/mlt_mn10300_am31_stdeval1_ram.mlt: Add user-defined
	heap1 section
	* include/pkgconf/mlt_mn10300_am31_stdeval1_ram.h: regenerate
	* include/pkgconf/mlt_mn10300_am31_stdeval1_ram.ldi: regenerate
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.mlt: Regenerate
	due to updated MLT
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.h: Regenerate
	due to updated MLT
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.ldi: Regenerate
	due to updated MLT

2000-07-04  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.mlt: Add user-defined
	heap1 section
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.h: regenerate
	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.ldi: regenerate

2000-03-03  Nick Garnett  <nickg@cygnus.co.uk>

	* src/hal_diag.c: Removed code to absorb ack character when
	running under cygmon. Cygmon need to receive this in order to do
	Ctrl-C break processing.

2000-02-18  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* cdl/hal_mn10300_am31_stdeval1.cdl (CYGBLD_BUILD_GDB_STUBS): When
	building stubs, define every dependency required here rather than in
	the template

2000-02-10  Jesper Skov  <jskov@redhat.com>

	* include/plf_stub.h: 
	HAL_STUB_PLATFORM_STUBS_INIT->HAL_STUB_PLATFORM_INIT

2000-02-03  Jesper Skov  <jskov@redhat.com>

	* cdl/hal_mn10300_am31_stdeval1.cdl: Implements stubs.

2000-01-27  Jesper Skov  <jskov@redhat.com>

	* cdl/hal_mn10300_am31_stdeval1.cdl: Moved part of stubs build rule to
	common HAL. Changed description.

2000-01-26  Jesper Skov  <jskov@redhat.com>

	* cdl/hal_mn10300_am31_stdeval1.cdl: Fix display string.

2000-01-24  Jesper Skov  <jskov@cygnus.co.uk>

	* cdl/hal_mn10300_am31_stdeval1.cdl: Add stubs build rule.

2000-01-24  John Dallaway  <jld@cygnus.co.uk>

	* cdl/*.cdl:

	Remove obsolete option CYGTST_TESTING_IDENTIFIER.

2000-01-19  Hugo Tyson  <hmt@cygnus.co.uk>

	* cdl/*.cdl: Add descriptions to a number of options &c which were
	lacking same, also tidied up other typos as noticed en passant.

1999-12-21  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* src/plf_misc.c (hal_platform_init): Rename
	CYG_HAL_USE_ROM_MONITOR_CYGMON -> CYGSEM_HAL_USE_ROM_MONITOR_CygMon
	(cyg_hal_user_break): Rename CYG_HAL_USE_ROM_MONITOR_GDB_STUBS ->
	CYGSEM_HAL_USE_ROM_MONITOR_GDB_stubs

	* src/hal_diag.c: Likewise.  Rename CYG_HAL_USE_ROM_MONITOR_SLOAD
	-> CYGSEM_HAL_USE_ROM_MONITOR_Sload throughout

	* cdl/hal_mn10300_am31_stdeval1.cdl: Add new platform-specific
	CYGSEM_HAL_USE_ROM_MONITOR option to control ROM monitor support

1999-12-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* cdl/hal_mn10300_am31_stdeval1.cdl: Add -Wl for linker options.

1999-11-25  Gary Thomas  <gthomas@cygnus.co.uk>

	* include/pkgconf/mlt_mn10300_am31_stdeval1_rom.h: 
	* include/pkgconf/mlt_mn10300_am31_stdeval1_ram.h: New file(s).

1999-11-03  Jesper Skov  <jskov@cygnus.co.uk>

	* cdl/hal_mn10300_am31_stdeval1.cdl: Added.

1999-09-07  Jesper Skov  <jskov@cygnus.co.uk>

	* include/plf_stub.h: Include proper config header file.

1999-08-27  Nick Garnett  <nickg@cygnus.co.uk>

	* src/hal_diag.c (hal_diag_write_char): Added code to disable
	watchdog while emitting a debug message. This is solely to cope
	with shortcomings in the test farm.

1999-08-16  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_am32_stdeval1.h:
	Rename to include/pkgconf/hal_mn10300_am31_stdeval1.h, changing
	all mentions of am32 to am31

	* include/pkgconf/mlt_mn10300_am32_stdeval1_ram.ldi:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_rom.ldi:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_ram.mlt:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_rom.mlt:
	Rename to:
	  include/pkgconf/mlt_mn10300_am31_stdeval1_ram.ldi:
	  include/pkgconf/mlt_mn10300_am31_stdeval1_rom.ldi:
	  include/pkgconf/mlt_mn10300_am31_stdeval1_ram.mlt:
	  include/pkgconf/mlt_mn10300_am31_stdeval1_rom.mlt:

	* src/PKGconf.mak:
	Rename package name from hal_mn10300_am32_stdeval1 to
	hal_mn10300_am31_stdeval1

	* src/hal_diag.c:
	Rename all mentions of am32 to am31

1999-08-12  Nick Garnett  <nickg@cygnus.co.uk>

	Imported following changes from development branch:
	
    1999-08-11  Nick Garnett  <nickg@cygnus.co.uk>

	* src/plf_misc.c: Tidied up cyg_hal_user_break().

	* src/hal_diag.c: Added interrupt acknowledgements to serial line
	read routines. Tidied up Ctrl-C detection when reading O packet
	ack.

    1999-08-10  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_am32_stdeval1.h: 
	Rename all mn10300_stdeval1 -> mn10300_am32_stdeval1
	Ensure CYGPKG_HAL_MN10300_AM32_STDEVAL1 requires CYGPKG_HAL_MN10300_AM32

    1999-06-29  Nick Garnett  <nickg@cygnus.co.uk>

	* include/platform.inc:
	* include/plf_intr.h:
	* src/plf_misc.c:
	Added these files to contain platform specific code for the HAL.

	* src/hal_diag.c
	Modified to work with new naming conventions.
	
	* include/pkgconf/hal_mn10300_stdeval1.h:
	* include/pkgconf/mlt_mn10300_stdeval1_ram.ldi:
	* include/pkgconf/mlt_mn10300_stdeval1_ram.mlt:
	* include/pkgconf/mlt_mn10300_stdeval1_rom.ldi:
	* include/pkgconf/mlt_mn10300_stdeval1_rom.mlt:
	* include/pkgconf/hal_mn10300_am32_stdeval1.h:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_ram.ldi:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_ram.mlt:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_rom.ldi:
	* include/pkgconf/mlt_mn10300_am32_stdeval1_rom.mlt:
	Renamed these files to match new target naming conventions.

	* src/stdeval1.S:
	Removed, since it is no longer needed.
	
1999-05-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_stdeval1.h: Move RTC setup here.

1999-04-08  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: Revised SECTION_* macro arguments to
	avoid padded output sections (PR 19787)

1999-03-23  Nick Garnett  <nickg@cygnus.co.uk>

	* src/hal_diag.c (hal_diag_write_char): Backed off Gary's change.

1999-03-18  Gary Thomas  <gthomas@cygnus.co.uk>

	* src/hal_diag.c (hal_diag_write_char): Don't disable all interrupts
	in this routine, just the appropriate one from the UART.

1999-03-04  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: give all LDI files unique names so
        that they can co-exist in an eCos build tree (PR 19184)
	* include/pkgconf/*.mlt: give all MLT files unique names so
        that they can co-exist in an eCos build tree (PR 19184)

1999-02-20  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* src/hal_diag.c (hal_diag_write_char): 
	Rename CYG_VECTOR_EXTERNAL_2 -> CYGNUM_HAL_INTERRUPT_EXTERNAL_2

	* src/plf_stub.c:
	Rename CYG_VECTOR_* -> CYGNUM_HAL_INTERRUPT_* in line with
	arch/hal_intr.h changes

1999-02-16  Jesper Skov  <jskov@cygnus.co.uk>

	* include/hal_stub.h: [removed]
	* include/plf_stub.h: [added]
	* src/hal_stub.c:     [removed]
	* src/plf_stub.c:     [added]
	* src/PKGconf.mak: 
	Changed hal_stub to plf_stub. Moved generic HAL stub code to
	common/.../hal_stub.c.

1999-02-05  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.mlt: New memory layout save files

1999-02-05  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: Remove LMA_EQ_VMA macro definition.

1999-01-26  Hugo Tyson  <hmt@masala.cygnus.co.uk>

	* include/pkgconf/ram.ldi:
	* include/pkgconf/rom.ldi:
	Add copyright notice.  (Though these files will later be generated
	by a tool and so not copyright, these default setups are.)

1999-01-13  John Dallaway  <jld@cygnus.co.uk>

      * include/pkgconf/rom.ldi: use FOLLOWING () macro

1999-01-12  John Dallaway  <jld@cygnus.co.uk>

      * src/stdeval1.ld: remove for MLT
      * src/PKGconf.mak: remove stdeval1.ld rules for MLT
      * include/pkgconf/ram.ldi: new linker script fragment for MLT
      * include/pkgconf/rom.ldi: new linker script fragment for MLT

1998-11-09  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_stub.c (cyg_hal_gdb_isr, interruptible, serial_init):
	Added GDB break support.

1998-11-06  Jesper Skov  <jskov@lassi.cygnus.co.uk>

	* include/hal_stub.h: 
	* src/hal_stub.c: 
	Added GDB stub.

	* src/PKGconf.mak: Added stub to the object list.

1998-10-19  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_stdeval1.h: Undid 1998-10-16 change.

1998-10-16  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_stdeval1.h: Changed
	CYGPKG_HAL_MN10300_STDEVAL1 to CYG_HAL_MN10300_STDEVAL1.

1998-10-14  Nick Garnett  <nickg@cygnus.co.uk>

	* src/hal_diag.c:
	Removed some compiler warnings.

1998-10-13  Nick Garnett  <nickg@cygnus.co.uk>

	* src/stdeval1.ld:
	Moved RAM load address to 0x80008000.

Mon Oct 12 18:03:12 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* include/hal_diag.h: 
	Add void arg to prototype for hal_diag_init()
	Fix for PR 17309

Wed Sep 23 08:11:32 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* include/hal_diag.h:
	Add HAL_DIAG_READ_CHAR() macro for consistency with other targets
	since we do have the hal_diag_read_char() function.
	Fix for PR 17300

1998-09-11  Bart Veer  <bartv@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_stdeval1.h:
	Updated configuration data with some descriptions.

1998-09-09  Nick Garnett  <nickg@cygnus.co.uk>

	* src/stdeval1.ld:
	Added definition of hal_virtual_vector_table.

	* src/hal_diag.c:
	Added configury to allow PROMIce AI ROMART to be used
	independently of diag destination. Added ai_write_hex() to provide
	rudimentary support for numerical output when doing this.

1998-09-04  Bart Veer  <bartv@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_stdeval1.h:
	Temporary change to the type of the startup option, needed by the
	configuration tool.

Thu Sep  3 15:15:57 1998  Tim Goodwin  <tgoodwin@cygnus.co.uk>

	* hal/mn10300/stdeval1/current/src/PKGconf.mak
	* hal/mn10300/stdeval1/current/src/makefile
	* hal/mn10300/stdeval1/current/tests/PKGconf.mak

	s/panx/mn10300/g

1998-09-02  Bart Veer  <bartv@cygnus.co.uk>

	* include/pkgconf/hal_mn10300_stdeval1.h:
	New header file for platform-specific configuration options

	* tests/PKGconf.mak: 
	* src/PKGconf.mak: 
	Sort out package naming conventions.

1998-09-02  Nick Garnett  <nickg@cygnus.co.uk>

	* src/hal_diag.c:
	Fixed some compiler warnings.
	Ifdeffed out intialisation of serial2 when using cygmon, thus
	retaining Cygmon's line setup.

1998-08-18  Nick Garnett  <nickg@cygnus.co.uk>

	* include/hal_diag.h: 
	* src/hal_diag.c: 
	* src/stdeval1.ld:
	Now uses hal.h rather than kernel.h.

Tue Aug 18 11:46:14 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* src/stdeval1.ld: Reorder GROUP line

Mon Aug 17 22:20:05 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* src/stdeval1.ld: 
	Add GROUP(libgcc.a libtarget.a) to prevent need for explicit linking

//===========================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//===========================================================================
